Results 1 to 5 of 5

Thread: Building/Installing IPE 7.0.14 on Suse 11.4

  1. #1
    Join Date
    Jun 2009
    Location
    Canada or Denmark
    Posts
    102

    Default Building/Installing IPE 7.0.14 on Suse 11.4

    Hello All...

    There is a vector drawing application I found in Ubuntu that I really like. It is called IPE (ipe7.sourceforge.net). It is simple and interfaces with latex, perfect for technical writing.

    It is challenging to build/install on Suse 11.4. First the only RPM's are for an older version that is 2+ year old now. So I decided to go ahead and build my own. The build process is not smooth though, but I managed to get it to work. Let me explain the process.

    1) Download and move the *.tar.gz from the source forge website. Move it to a folder where you can build it (like /home/user/software/)
    2) gunzip and tar -xf the files to release the source code from the tarball
    3) go into Yast and install the packages "lua-devel" and "Qt-devel"
    4) back to the terminal... cd to the directory where you put the tarball and cd further into ipe-7.0.14/src/
    5) vim config.mak and uncomment the line (or use any other text editor)

    IPEPREFIX := /usr/local

    Then find the lines:

    MOC ?= moc-qt4
    #MOC ?= moc

    Switch the comments around on those two lines. In Suse the program moc is the same as the program moc-qt4 in Ubuntu.

    6) Here is the tricky bit... at some point the makefile will search for package "lua5.1" thus get lost and crash when pkg-config cannot find lua5.1.pc. Again this is a relic of ubuntu putting the version number in the file name. The fix here is to locate your lua.pc file. The command "find /usr/ -name 'lua.pc'" should do the trick. Then in that directory as root create a symbolic link to lua.pc with this command "ln -s lua.pc lua5.1.pc".
    7) At this point this system is ready to compile IPE... go back to the terminal and in the same src directory you edited that mak file and type the comman "make"
    8) Hopefully no errors... if so type "make install" (as root)
    9) Last but not least as root type ldconfig!!!

    At this point your should have IPE working.

    I hope this helps other users... more importantly maybe this will help the folks at build services to create a working RPM? Best of luck...

    pilot

  2. #2
    Join Date
    Jun 2009
    Location
    Canada or Denmark
    Posts
    102

    Default Re: Building/Installing IPE 7.0.14 on Suse 11.4

    Just upgraded to 12.1 one more thing to add is you have to make sure that you have the Qt-devel packages installed

  3. #3
    Join Date
    Jun 2009
    Location
    Canada or Denmark
    Posts
    102

    Default Re: Building/Installing IPE 7.0.14 on Suse 11.4

    Qt-devel package has been renamed to libqt4-devel you will need that to install IPE in 12.1

  4. #4
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    1,918

    Default Re: Building/Installing IPE 7.0.14 on Suse 11.4

    Thank's for the information. I believe you should put it in the unreviewed howto section
    Best regards,
    Greg

  5. #5
    Join Date
    Jun 2009
    Location
    Canada or Denmark
    Posts
    102

    Default Re: Building/Installing IPE 7.0.14 on Suse 11.4

    Just another update for getting IPE to work on openSuse 12.2

    I tried to get is working with the lua5.2 devel library... unfortunately it is not backwards compatible. However it yast provided me with a 5.1 version. It still works with that version. However that 5.1 package is not compatible with the 5.2 (you cannot have the two versions together). So if you have 5.2 for other reasons, you will have to install 5.1 in a seperate folder that is accessible to the ipe build.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •